KDE 4.9 PyKDE API Reference

- KDE's Python API

# NodeIterator Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

NodeIterators are used to step through a set of nodes, e.g. the set of nodes in a NodeList, the document subtree governed by a particular node, the results of a query, or any other set of nodes. The set of nodes to be iterated is determined by the implementation of the NodeIterator. DOM Level 2 specifies a single NodeIterator implementation for document-order traversal of a document subtree. Instances of these iterators are created by calling DocumentTraversal.createNodeIterator().

Any Iterator that returns nodes may implement the NodeIterator interface. Users and vendor libraries may also choose to create Iterators that implement the NodeIterator interface.

## Methods

| __init__ (self)
| __init__ (self, DOM.NodeIterator other)
| detach (self)
bool | expandEntityReferences (self)
DOM.NodeFilter | filter (self)
bool | isNull (self)
DOM.Node | nextNode (self)
DOM.Node | previousNode (self)
DOM.Node | root (self)
long | whatToShow (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.NodeIterator | other
| ) |  |  |

detach | ( |  | self ) |

Detaches the NodeIterator from the set which it iterated over, releasing any computational resources and placing the iterator in the INVALID state. After detach has been invoked, calls to nextNode or previousNode will raise the exception INVALID_STATE_ERR.

bool expandEntityReferences | ( |  | self ) |

The value of this flag determines whether the children of entity reference nodes are visible to the iterator. If false, they and their descendents will be rejected. Note that this rejection takes precedence over whatToShow and the filter. Also note that this is currently the only situation where NodeIterators may reject a complete subtree rather than skipping individual nodes.

To produce a view of the document that has entity references expanded and does not expose the entity reference node itself, use the whatToShow flags to hide the entity reference node and set expandEntityReferences to true when creating the iterator. To produce a view of the document that has entity reference nodes but no entity expansion, use the whatToShow flags to show the entity reference node and set expandEntityReferences to false.

DOM.NodeFilter filter | ( |  | self ) |

The NodeFilter used to screen nodes.

bool isNull | ( |  | self ) |

DOM.Node nextNode | ( |  | self ) |

Returns the next node in the set and advances the position of the Iterator in the set. After a NodeIterator is created, the first call to nextNode() returns the first node in the set.

Returns:
  The next Node in the set being iterated over, or null if there are no more members in that set.

Exceptions from user code Any exceptions raised by a user-written Filter will propagate through.

DOM.Node previousNode | ( |  | self ) |

Returns the previous node in the set and moves the position of the Iterator backwards in the set.

Returns:
  The previous Node in the set being iterated over, or null if there are no more members in that set.

Exceptions from user code Any exceptions raised by a user-written Filter will propagate through.

DOM.Node root | ( |  | self ) |

The root node of the NodeIterator, as specified when it was created.

long whatToShow | ( |  | self ) |

This attribute determines which node types are presented via the iterator. The available set of constants is defined in the NodeFilter interface. Nodes not accepted by whatToShow will be skipped, but their children may still be considered. Note that this skip takes precedence over the filter, if any.